.overlay {
    @include flex(flex, center, center);
    position: fixed;
    background: rgba(0,0,0,0.4);
    width: 100%;
    min-height: 100vh;
    z-index: 999;
    top: 0;
    left: 0;
    padding: 8px;

    .modal {
        width: 100%;
        max-width: 500px;
        background: white;
        padding: 20px;
        border-radius: 4px;

        &.large {
            max-width: 1000px;
        }

        .modal-header {
            position: relative;

            .modal-title {
                text-transform: uppercase;
                padding-right: 30px;
                font-size: 1.3rem;
            }

            .modal-subtitle {
                font-size: .85rem;
                font-weight: normal;
                color: #888;
                line-height: .5rem;
            }

            .modal-close {
                position: absolute;
                top: 0;
                right: 0;
                background: transparent;
                border: 0;
                cursor: pointer;
                padding: 0;
                font-size: 1.3rem;
                min-width: unset;
            }
        }

        .modal-body {
            margin: 20px 0;

            &.custom {
                margin: 0;
            }

            .scroller-padding {
                padding-right: 20px;
            }

            .text-filter {
                margin-bottom: 20px;
            }
        }

        .modal-footer {
            text-align: right;

            button {
                margin-left: 20px;
            }
        }

        @media (min-width: 600px) {

            padding: 30px;

            .modal-body {
                margin: 30px 0;
            }
        }

        &.choice {
            background: $dark-bg;
            box-shadow: $dark-box-shadow;
            color: $body-color-on-dark;
            font-weight: 300;
            font-size: 1.2rem;
            text-align: center;
            max-width: 400px;

            .modal-body {
                margin-top: 0;
            }

            .modal-footer {
                text-align: center;

                button {
                    margin: 0 10px;
                }
            }
        }

    }
}

.scroller {
    max-height: 70vh;
    overflow-y: auto;
    @include scrollbar();
}
